Subject: Re: bug#57379: GUI toolkit for Guile 3.0?

From: Lee Thomas <[email-masked]>
Date: Mon, 29 Aug 2022 11:22:15 -0700

Thank you again, David. I followed your installation instructions, and with
a few warnings, your hello-world example (eventually) ran. I can submit
what I saw to the [email-masked] address.

I also got clipboard.scm to run, with one error.

I think for Jessica's and Ricardo's sakes, and because it's the right thing
to do, we can close bug #57379 and carry on elsewhere.

On Mon, Aug 29, 2022 at 9:54 AM David Pirotte <[email-masked]> wrote:

> Hello Lee,
>
> > Thanks again, David.
>
> Welcome.
>
> > I was able to use a solution from Ricardo to get guile-gi to run
> > under guix
>
> I hope Ricardo, possibly with the help of other guix contributor's will
> find a solution so that g-golf may also run 'out of the box' on guix.
>
> > guile 3.0.7, which I hope would be OK.
>
> Yes, you need guile 2.0, 2.2 or 3.0, in which case it must be >= 3.0.7
>
> > For g-golf, would you > recommend I clone your github repo and
> > compile it . . . ?
>
> Yes, installing from the source tree instructions are here:
>
>         https://www.gnu.org/software/g-golf/install.html
>
>         [ just 'stick' to the master branch, although I may recommend
>         [ to use the devel branch 'in the future', at this moment the
>         [ devel branch is in a wip stage.
>
> Two things to add to those instructions:
>
> 1.
>         to run the checks, 'make check', you'd need two additional
>         dependencies:
>
>                 gir1.2-clutter-1.0:amd64
>                 gir1.2-gtk-3.0:amd64
>
>         I'll get rid of those dependencies before the first official
>         release, but for now, some tests use either clutter or gtk-3
>
> 2.
>
>         to run g-golf examples, you need to install
>
>                 gir1.2-gtk-4.0:amd64
>
>         you may try the examples before installing, like this:
>
>         cd  <...g-golf-tree...>/examples/gtk-4
>         ../../pre-inst-env ./hello-world.scm
>
> This page shows a screenshot for each example:
>
>         https://www.gnu.org/software/g-golf/learn.html
>
> Let me kow how it goes,
> Thanks,
> David
>